Subject: Re: bug#6674: PATCH: fix assignment of grep-find-use-xargs on Windows/MS-DOS

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Jul 2010 19:46:33 +0300

> From: Óscar Fuentes <[email-masked]>
> Date: Tue, 20 Jul 2010 05:49:35 +0200
> Cc: 
> 
> On Windows, when find-program points to a GNU-compatible `find'
> executable, grep-find-use-xargs is assigned the symbol 'gnu. The
> consequence of this is that `rgrep' ends building a command that
> contains a pipe: find <args> | xargs -0 grep <args> This ends with
> `find' reporting confusing errors about wrong arguments.
> 
> An extra test is added to the assigment of grep-find-use-xargs to force
> the value 'exec on Windows and MS-DOS.

I saw this problem on MS-Windows and intended to look into it.  But
one thing is certain: the MS-DOS build does not need this patch, it
works just fine with the original command line that includes the pipe
to xargs.

> + 		 ((or (eq system-type 'windows-nt) (eq system-type 'ms-dos))

What's wrong with memq?